# /project

{% hint style="info" %}
You need an API key for this call.\
\
Please reach out to the Blessnet team to get setup.
{% endhint %}

<mark style="color:green;">`GET`</mark>`/project`

The `/project` endpoint retrieves authority information about the used API key.

### **Headers**

| Name        | Value        |
| ----------- | ------------ |
| `x-api-key` | Your API key |

### **Response Body**

| Name           | Type     | Description                                                    |
| -------------- | -------- | -------------------------------------------------------------- |
| message        | `string` | Response message                                               |
| requestOwner   | `string` | The recorded owner of the key.                                 |
| auth           | `object` | An object containing the various permissions given to this key |
| blessedAccount | `string` |                                                                |

### **Example Request**

```
GET https://api.bless.net/project
```

### **Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "message": "Key details",
    "requestOwner": "omnus",
    "auth": {
      "aa": ["write", "create"],
      "deliveries": ["read"]
      "sprinkle": true,
    },
    "blessedAccount": "0xfoo",
    "balanceWei": "100000000000000000",
    "balance": "0.1"
}
```

{% endtab %}

{% tab title="400" %}

```json
{
  "message": "Invalid API key."
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bless.net/blessnet-api/project.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
